Bug 728242 - Review Request: rubygem-actionmailer2.3 - rails 2 alongside rails 3
Summary: Review Request: rubygem-actionmailer2.3 - rails 2 alongside rails 3
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 728248
Blocks: 726690
TreeView+ depends on / blocked
 
Reported: 2011-08-04 13:51 UTC by Emanuel Rietveld
Modified: 2012-05-07 15:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-07 15:17:13 UTC


Attachments (Terms of Use)

Description Emanuel Rietveld 2011-08-04 13:51:31 UTC
Spec URL: http://xls01.freecult.org/pkg/?p=pkg.git;a=blob_plain;f=SPECS/rubygem-actionmailer2.3.spec;hb=refs/heads/rails23
SRPM URL: http://xls01.freecult.org/pkg/?p=pkg.git;a=blob_plain;f=SRPMS/rubygem-actionmailer2.3-2.3.12-1.fc15.src.rpm;hb=refs/heads/rails23

Changelog: http://xls01.freecult.org/pkg/?p=pkg.git;a=log;h=refs/heads/rails23

Description: rubygem-actionmailer2.3 is a dependency of rails 2.3. (another dependency is rubygem-rdoc, which was built for Fedora 16 by mmorsi. See http://koji.fedoraproject.org/koji/buildinfo?buildID=254306 )

Although rails 3 was released, and Fedora 15 has moved to rails 3, there are still rails projects working with rails 2.3 series. Rails 3 is not backwards compatible and some key features are not yet working in rails 3. One notable project still on rails 2.3 is the issue tracker redmine: http://www.redmine.org.

Since rails 2 and rails 3 are perfectly parallel installable, I would like to maintain rails 2.3 series in Fedora until it really becomes obsolete. I have built these rails 2.3.12 packages starting from the rails 2.3.8 rpms already in Fedora 14.

This is my first time packaging for Fedora and I am welcoming feedback. Thank you for your time.

Comment 1 Guillermo Gómez 2011-08-10 11:18:35 UTC
I would like to review and get rails2.3.x in Fedora, could you please make SRPMS/SPEC downloadbles name (as the first click in the browser) be the same as the the actual filenames? 

Also remember to include rpmlint output in your review requests.

Comment 2 Emanuel Rietveld 2011-08-10 13:10:03 UTC
Thank you Guillermo Gómez,

I am sorry, I do not know how to configure git web to offer to save the files as the actual filenames. I will look into it. Meanwhile, here for your copy and pasting convenience:

curl -o rubygem-actionmailer2.3.spec "http://xls01.freecult.org/pkg/?p=pkg.git;a=blob_plain;f=SPECS/rubygem-actionmailer2.3.spec;hb=refs/heads/rails23"
curl -o rubygem-actionmailer2.3.12-1.fc15.src.rpm "http://xls01.freecult.org/pkg/?p=pkg.git;a=blob_plain;f=SRPMS/rubygem-actionmailer2.3-2.3.12-1.fc15.src.rpm;hb=refs/heads/rails23"

Current rpmlint output:

Many warnings, most of which were present in the original package 2.3.8 in F14. A few new ones include wrong-end-of-line warnings. I'm wary of fixing these because of the comment in actionpack2.3.spec from mmorsi: he tried to fix it and something broke. I'm not sure if it's a good idea to try to fix it. The files are not text files, anyway; they are ri files: binary documentation files like a libreoffice writer document.

$ rpmlint /var/lib/mock/fedora-15-x86_64/result/*.rpm

rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/multipart%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/split_rules-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentDispositionHeader/disposition%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MailFlags/flagged%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/ActionMailer/Base/deliver%21-i.ri %21
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/disposition_is_attachment%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/format_style-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/reply_to_addrs%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/justify%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/enforced_message_id%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/AddressGroup/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/AddressGroup/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/HeaderField/illegal%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Attachment/quoted%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/has_attachments%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/UnstructuredHeader/body%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ReceivedHeader/date%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/from%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/EncryptedHeader/encrypter%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/first_indent%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/transfer_encoding%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/message_id%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/bcc_addrs%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/AddressGroup/empty%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MailFlags/replied%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/reply_to%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/ActionMailer/PartContainer/parts-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/content_type_is_text%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/to_addrs%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ReceivedHeader/_for%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/body%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/content_transfer_encoding%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/StringPort/reproducible%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/from_addrs%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MimeVersionHeader/major%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentTypeHeader/main_type%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/body_indent%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/epilogue%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/quoted_body%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/charset%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentDispositionHeader/%5b%5d%3d-i.ri %5b
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentDispositionHeader/%5b%5d%3d-i.ri %5d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentDispositionHeader/%5b%5d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/hyphenator%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ReceivedHeader/by%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/HeaderField/empty%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/disposition%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/base64_encode%21-i.ri %21
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/TextUtils/atom_safe%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/StringPort/eql%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/FilePort/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/FilePort/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/AddressGroup/%5b%5d-i.ri %5b
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/AddressGroup/%5b%5d-i.ri %5d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/key%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/%5b%5d-i.ri %5b
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/%5b%5d-i.ri %5d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/FilePort/eql%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/in_reply_to%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/AddressGroup/eql%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/left_margin%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/sender_addr%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/preamble%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentTransferEncodingHeader/encoding%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/tabstop%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/left_align%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MessageIdHeader/id%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/split_words-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/text_content_type%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/SplitWord/rest-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MailFlags/flagged%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/StringPort/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/StringPort/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/ActionMailer/load_all%21-c.ri %21
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Port/reproducible%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentTypeHeader/%5b%5d-i.ri %5b
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentTypeHeader/%5b%5d-i.ri %5d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/%5b%5d%3d-i.ri %5b
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/%5b%5d%3d-i.ri %5d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/%5b%5d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/split_rules%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/split_rules%3d-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/bcc%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MailFlags/seen%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/FilePort/reproducible%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ReceivedHeader/id%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/base64_decode%21-i.ri %21
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentDispositionHeader/%5b%5d-i.ri %5b
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentDispositionHeader/%5b%5d-i.ri %5d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/AddressGroup/include%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MimeVersionHeader/minor%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MailFlags/seen%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentTypeHeader/sub_type%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/columns%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/date%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/MailFlags/replied%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Address/name%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/EncryptedHeader/keyword%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ReceivedHeader/from%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/ActionMailer/Base/template_root%3d-c.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/subject%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/AddressGroup/address_group%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/attachment%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/mime_version%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/SplitWord/first-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/format_style%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/format_style%3d-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Address/eql%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/DateTimeHeader/date%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Address/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Address/%3d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/right_margin%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/content_disposition%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/TextUtils/token_safe%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/cc_addrs%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: file-not-utf8 /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/cache.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/references%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/sender%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/encoding%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ReceivedHeader/via%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/to%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/content_type%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/HeaderField/body%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/ActionMailer/Base/mail-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/ActionMailer/Base/mailer_name%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/SplitWord/word-i.ri
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/right_align%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentTypeHeader/%5b%5d%3d-i.ri %5b
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentTypeHeader/%5b%5d%3d-i.ri %5d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/ContentTypeHeader/%5b%5d%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/cc%3d-i.ri %3d
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/TMail/Mail/inline_attachment%3f-i.ri %3f
rubygem-actionmailer2.3.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/actionmailer-2.3.12/ri/Text/Format/right_fill%3f-i.ri %3f
2 packages and 0 specfiles checked; 0 errors, 135 warnings.

Comment 4 Emanuel Rietveld 2012-05-07 15:17:13 UTC
With the move to ruby 1.9, making rails 2.3 compatible has become much more difficult in recent Fedora releases. Additionally, several projects requiring rails 2.3 previously now support rails 3, including redmine. I am abandoning this effort.


Note You need to log in before you can comment on or make changes to this bug.